<?php
/**
 * @package ats
 * @copyright Copyright (c)2011-2014 Nicholas K. Dionysopoulos / AkeebaBackup.com
 * @license GNU GPL v3 or later
 */

// No direct access
defined('_JEXEC') or die;

class AtsViewTicket extends F0FViewHtml
{
	public function onAdd($tpl = null)
	{
		$result = parent::onAdd($tpl);

		if ($result)
		{
			$this->hasSubscriptions = false;
			$this->showuserinfo = false;
		}

		return $result;
	}

	public function onEdit($tpl = null)
	{
		$result = parent::onEdit($tpl);

		if ($result)
		{
			$this->showuserinfo = true;

			// Do we have a subscriptions component?
			$this->loadHelper('subscriptions');
			$hasSubscriptions = AtsHelperSubscriptions::hasSubscriptionsComponent();
			$this->hasSubscriptions = $hasSubscriptions;

			if($hasSubscriptions)
			{
				$user = JFactory::getUser($this->getModel()->getItem()->created_by);
				$subs = AtsHelperSubscriptions::getSubscriptionsList($user);

				$this->activesubs = $subs->active;
				$this->inactivesubs = $subs->inactive;
			}
		}

		return $result;
	}
}